if platform_family?('debian')
  default['jenkins-repo'].tap do |repo|
    repo['jenkins-stable']['apt'].tap do |apt|
      apt['uri'] = 'http://pkg.jenkins-ci.org/debian-stable'
      apt['components'] = ['binary/']
      apt['key'] = 'jenkins-ci.org.key'
      apt['deb-src'] = false
    end

    repo['jenkins-mainline']['apt'].tap do |apt|
      apt['uri'] = 'http://pkg.jenkins-ci.org/debian'
      apt['components'] = ['binary/']
      apt['key'] = 'jenkins-ci.org.key'
      apt['deb-src'] = false
    end
  end
end
